Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Interface Function

All Superinterfaces:
  EntityNode, Node, java.io.Serializable

    public interface Function

extends EntityNode

Provides the metadata view of an XQuery or XQSE function declaration inside an XQuery or XQSE function collection. The metadata view consists of name-based descriptions of metadata components associated with the function declaration (e.g. function name, parameter and return types, annotations).

Nested Class Summary
`static class` | `Function.DataAccessRole`
`static interface` | `Function.DataSourceBinding`
`static class` | `Function.Implementation`
`static interface` | `Function.JavaBinding`
`static interface` | `Function.RelationalBinding`
`static class` | `Function.Visibility`
`static interface` | `Function.WebServiceBinding`

Field Summary
`static char` | `CREATE`
`static char` | `DELETE`
`static char` | `HAS_SIDE_EFFECTS` Deprecated.
`static char` | `LIBRARY`
`static char` | `LIBRARY_FUNCTION` Deprecated.
`static char` | `LIBRARY_PROCEDURE` Deprecated.
`static char` | `NAVIGATE`
`static char` | `PRIVATE` Deprecated.
`static char` | `READ`
`static char` | `UNKNOWN`
`static char` | `UPDATE`

Method Summary
`org.apache.xmlbeans.XmlObject` | `getAnnotation()`
`int` | `getArity()`
`java.lang.String` | `getBody()` Overrides `getBody()`in `EntityNode` to always throw UnsupportedOperationException.``
`Function.DataAccessRole` | `getDataAccessRole()`
`Function.DataSourceBinding` | `getDataSourceBinding()`
`FunctionCollectionRef` | `getFunctionCollectionRef()`
`Function.Implementation` | `getImplementation()`
`char` | `getKind()` Deprecated. Use getDataAccessRole() instead.
`javax.xml.namespace.QName[]` | `getParameterNames()`
`Type[]` | `getParameterTypes()`
`javax.xml.namespace.QName` | `getQName()`
`FunctionRef` | `getRef()`
`Type` | `getReturnType()`
`Function.Visibility` | `getVisibility()`
`boolean` | `hasSideEffects()`
`boolean` | `isExternal()`
`boolean` | `isPrimary()`

Methods inherited from interface com.bea.ld.metadata.EntityNode
`getDependencyRefs, getDependencyRefs, getDependentRefs, getDependentRefs, getNodeReference`

Methods inherited from interface com.bea.ld.metadata.Node
`getId`

Field Detail

### READ

    static final char READ

See Also:
  Constant Field Values

### NAVIGATE

    static final char NAVIGATE

See Also:
  Constant Field Values

### PRIVATE

    static final char PRIVATE

  Deprecated.
  See Also:
    Constant Field Values

### LIBRARY

    static final char LIBRARY

See Also:
  Constant Field Values

### HAS_SIDE_EFFECTS

    static final char HAS_SIDE_EFFECTS

  Deprecated.
  See Also:
    Constant Field Values

### CREATE

    static final char CREATE

See Also:
  Constant Field Values

### UPDATE

    static final char UPDATE

See Also:
  Constant Field Values

### DELETE

    static final char DELETE

See Also:
  Constant Field Values

### LIBRARY_FUNCTION

    static final char LIBRARY_FUNCTION

  Deprecated.
  See Also:
    Constant Field Values

### LIBRARY_PROCEDURE

    static final char LIBRARY_PROCEDURE

  Deprecated.
  See Also:
    Constant Field Values

### UNKNOWN

    static final char UNKNOWN

See Also:
  Constant Field Values

Method Detail

### getQName

    javax.xml.namespace.QName getQName()

  Returns:
    The function qualified name. May not be `null`.

### getArity

    int getArity()

  Returns:
    The number of the function parameters.

### getRef

    FunctionRef getRef()

  Returns:
    The reference to this function. May not be `null`.

### getKind

    char getKind()

  Deprecated. Use getDataAccessRole() instead.

  Returns:
    The function kind. One of:
    - CREATE
    - READ
    - UPDATE
    - DELETE
    - NAVIGATE
    - LIBRARY
    - LIBRARY_FUNCTION
    - LIBRARY_PROCEDURE

### getDataAccessRole

    Function.DataAccessRole getDataAccessRole()

  Returns:
    The function data access role. May not be `null`.

### getVisibility

    Function.Visibility getVisibility()

  Returns:
    The function visibility. May not be `null`.

### getImplementation

    Function.Implementation getImplementation()

  Returns:
    The function implementation kind. May not be `null`.

### getDataSourceBinding

    Function.DataSourceBinding getDataSourceBinding()

  Returns:
    The data source binding for functions of implementation kind `EXTERNAL_DATA_SOURCE`. Otherwise, `null`.

### isPrimary

    boolean isPrimary()

  Returns:
    `true` if this function has been designated as the primary create, read, update or delete function. Otherwise `false`.

### hasSideEffects

    boolean hasSideEffects()

  Returns:
    `true` if this function is a procedure.

### isExternal

    boolean isExternal()

  Returns:
    `true` If the function has an external implementation. Otherwise, `false`.

### getFunctionCollectionRef

    FunctionCollectionRef getFunctionCollectionRef()

  Returns:
    The reference to the function collection containing this function. May not be `null`.

### getParameterNames

    javax.xml.namespace.QName[] getParameterNames()

  Returns:
    The qualified names of the function parameters in the order in which they have been declared.

    Functions with no parameters return zero-length arrays.

### getParameterTypes

    Type[] getParameterTypes()

  Returns:
    The types of the function parameters in the order in which they have been declared.

    Functions with no parameters return zero-length arrays.

### getReturnType

    Type getReturnType()

  Returns:
    The function return type. May not be `null`.

### getBody

    java.lang.String getBody()

  Overrides `getBody()`in `EntityNode` to always throw UnsupportedOperationException.

  ``
  Specified by:
    `getBody` in interface `EntityNode`
  Returns:
    The `EntityNode` contents.

### getAnnotation

    org.apache.xmlbeans.XmlObject getAnnotation()

  Returns:
    The function annotation. May not be `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.